Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

categorytypelist.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: categorytypelist.php 6968 2001-09-05 11:53:39Z jhe $
5 //
6 // Created on: <18-Oct-2000 15:04:39 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29
30 // include_once( "ezuser/classes/ezuser.php" );
31 // include_once( "ezuser/classes/ezusergroup.php" );
32 // include_once( "ezuser/classes/ezmodule.php" );
33 // include_once( "ezuser/classes/ezpermission.php" );
34
35 // include_once( "eztodo/classes/eztodo.php" );
36 // include_once( "eztodo/classes/ezcategory.php" );
37
38 $ini =& eZINI::instance( 'site.ini' );
39 $Language = $ini->variable( "eZTodoMain", "Language" );
40
41 $t = new eZTemplate( "kernel/eztodo/admin/" . $ini->variable( "eZTodoMain", "AdminTemplateDir" ),
42 "kernel/eztodo/admin/intl", $Language, "categorytypelist.php" );
43 $t->setAllStrings();
44
45 $t->set_file( array(
46 "category_type_page" => "categorytypelist.tpl"
47 ) );
48
49 $t->set_block( "category_type_page", "category_item_tpl", "category_item" );
50
51 $t->set_var( "site_style", $SiteDesign );
52
53 $category_type = new eZCategory();
54 $category_type_array = $category_type->getAll();
55
56 $i=0;
57 foreach ( $category_type_array as $categoryItem )
58 {
59 if ( ( $i %2 ) == 0 )
60 $t->set_var( "td_class", "bglight" );
61 else
62 $t->set_var( "td_class", "bgdark" );
63
64 $t->set_var( "category_type_id", $categoryItem->id() );
65 $t->set_var( "category_type_name", $categoryItem->name() );
66
67 $i++;;
68 $t->parse( "category_item", "category_item_tpl", true );
69 }
70
71 if ( count( $category_type_array ) == 0 )
72 {
73 $t->set_var( "category_item", "" );
74 }
75
76 $t->pparse( "output", "category_type_page" );
77
78 ?>
$t
$t
Definition: categorytypelist.php:41
$category_type
$category_type
Definition: categorytypelist.php:53
$i
$i
Definition: categorytypelist.php:56
$Language
$Language
Definition: categorytypelist.php:39
$ini
$ini
Definition: categorytypelist.php:38
$category_type_array
$category_type_array
Definition: categorytypelist.php:54
eZCategory
Definition: ezcategory.php:36
eZTemplate
Definition: eztemplate.php:107
$SiteDesign
$SiteDesign
Definition: ezbulkmail/user/datasupplier.php:31
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.